Page MenuHomePhabricator

User has saved account login but he forgot his password
Closed, ResolvedPublic

Description

Hello,

Sorry for this bad title, but the situation like that (As requested here):

  • User:Quuxplusone forgot his account password, but he has an access to his account (saved login).
  • As all know, we can't change password, so he opened a new account (user:Quuxplusone2) and asked to rename it to (user:Quuxplusone), via usually usurpation way.
  • He still has the access to (user:Quuxplusone) as wrote here.

So is there any way to fix this issue?

Please read what the user wrote.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 11:16 AM
alanajjar renamed this task from User has saved account password but he forgot his password to User has saved account login but he forgot his password.May 18 2018, 11:16 AM

Does the account have a registered email address in their user preferences?
If so he can request a password reset.

In any case, people with access to the server can reset the password of an
user account via CLI.

I don't see the point on performing an usurpation here?

1997kB added a subscriber: 1997kB.EditedMay 18 2018, 1:29 PM

They don't have a registered email address per their reply on talk page. So it looks like the only option here is resetting password via CLI.

alanajjar added a comment.EditedMay 18 2018, 2:39 PM

Does the account have a registered email address in their user preferences?

No, when the user try to put the email address, he found that he forget the password.

I don't see the point on performing an usurpation here?

The user asked for usurpation as he think that there's nothing else, so to take the same name better than nothing.

jrbs added a subscriber: jrbs.May 21 2018, 9:55 PM

I think it's certain the user still has control of the account so I'll reset through CLI now.

jrbs moved this task from Backlog to Support on the Trust-and-Safety board.May 21 2018, 9:55 PM

Mentioned in SAL (#wikimedia-operations) [2018-05-21T21:59:45Z] <foks> adding email to User:Quuxplusone - T194929

jrbs closed this task as Resolved.May 21 2018, 10:54 PM
jrbs claimed this task.

He should have received a temporary password for Quuxplusone on the email he used for Quuxplusone2 (since he proved already he has access to both). @alanajjar Could you inform him of that on the relevant wiki pages? :)

@alanajjar Could you inform him of that on the relevant wiki pages? :)

Thanks @jrbs
I'll do after few minutes ^^

jrbs added a comment.May 21 2018, 11:52 PM

@alanajjar Could you inform him of that on the relevant wiki pages? :)

Thanks @jrbs
I'll do after few minutes ^^

Thank you :) :)

Vvjjkkii renamed this task from User has saved account login but he forgot his password to mscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed jrbs as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:09 AM
CommunityTechBot renamed this task from mscaaaaaaa to User has saved account login but he forgot his password.Jul 2 2018, 4:02 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to jrbs.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: MarcoAurelio, Aklapper; removed: Dereckson.